using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DildoStriker : MonoBehaviour {

	private bool ableToKill = false;
	PlayerController pc;
	public bool fall = false;
	Animator anim;

	void Start () {
		GameObject plyer = GameObject.Find ("Player");
		pc = plyer.GetComponent<PlayerController>();
		anim = GetComponent<Animator> ();
		anim.speed = 0;
	}

	void Update(){
		if (fall)
			anim.speed = 1;

	}

	void OnTriggerEnter2D(Collider2D col){
		//Kill

		if (ableToKill) {
			pc.playable = false;
		}
	}

	void activateKill(){
		ableToKill = true;
	}


}
